## org.eclipse.jst.jsf.metadataprocessors.features
Class PossibleValue

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.features.PossibleValue

All Implemented Interfaces:
  IPossibleValue

    public class PossibleValue

extends java.lang.Object
implements IPossibleValue

Implements `IPossibleValues`

Provisional API - subject to change

Constructor Summary
`PossibleValue(java.lang.String value)` Constructor when display value is same as stored value
`PossibleValue(java.lang.String value, java.lang.String displayValue)` Constructor when display-value may be different than stored value
`PossibleValue(java.lang.String value, java.lang.String displayValue, boolean isDefaultValue)` Constructor when display-value may be different than stored value and a default value is known

Method Summary
`java.lang.String` `getAdditionalInformation()`
`java.lang.String` `getDisplayValue()`
`ImageDescriptor` `getIcon()`
`java.lang.String` `getValue()`
`boolean` `isDefaultValue()`
`void` `setAdditionalInformation(java.lang.String additionalInfo)`
`void` `setDisplayValue(java.lang.String displayValue)`
`void` `setIcon(ImageDescriptor smallIcon)`
`void` `setIsDefault(boolean isDefault)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PossibleValue

    public PossibleValue(java.lang.String value)

  Constructor when display value is same as stored value

  Parameters:
    `value` -

### PossibleValue

    public PossibleValue(java.lang.String value,
                         java.lang.String displayValue)

  Constructor when display-value may be different than stored value

  Parameters:
    `value` -
    `displayValue` -

### PossibleValue

    public PossibleValue(java.lang.String value,
                         java.lang.String displayValue,
                         boolean isDefaultValue)

  Constructor when display-value may be different than stored value and a default value is known

  Parameters:
    `value` -
    `displayValue` -
    `isDefaultValue` -

Method Detail

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `IPossibleValue`
  Returns:
    value to set. should not return null.

### getDisplayValue

    public java.lang.String getDisplayValue()

  Specified by:
    `getDisplayValue` in interface `IPossibleValue`
  Returns:
    value to display in a proposal which can be different than what is set. Must not return null.

### getIcon

    public ImageDescriptor getIcon()

  Specified by:
    `getIcon` in interface `IPossibleValue`
  Returns:
    ImageDescriptor for image to be displayed in a proposal. May be null.

### isDefaultValue

    public boolean isDefaultValue()

  Specified by:
    `isDefaultValue` in interface `IPossibleValue`
  Returns:
    true if is known to be the default value.

### getAdditionalInformation

    public java.lang.String getAdditionalInformation()

  Specified by:
    `getAdditionalInformation` in interface `IPossibleValue`
  Returns:
    additional information that could be used for descriptive help May be null

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` -

### setDisplayValue

    public void setDisplayValue(java.lang.String displayValue)

  Parameters:
    `displayValue` -

### setIcon

    public void setIcon(ImageDescriptor smallIcon)

  Parameters:
    `smallIcon` -

### setIsDefault

    public void setIsDefault(boolean isDefault)

  Parameters:
    `isDefault` -

### setAdditionalInformation

    public void setAdditionalInformation(java.lang.String additionalInfo)

  Parameters:
    `additionalInfo` -